QEMU-IMG(1)

NAME
qemu-img - QEMU disk image utility

SYNOPSIS
usage: qemu-img command [command options]

OPTIONS
The following commands are supported:

check [-f fmt] filename
create [-f fmt] [-o options] filename [size]
commit [-f fmt] filename
convert [-c] [-f fmt] [-O output_fmt] [-o options] filename [filename2 [...]] output_filename
info [-f fmt] filename
snapshot [-l | -a snapshot | -c snapshot | -d snapshot] filename

Command parameters:

filename
     is a disk image filename

fmt is the disk image format. It is guessed automatically in most cases. See below for a description of the supported disk formats.

size
    is the disk image size in bytes. Optional suffixes "k" or "K" (kilobyte, 1024) "M" (megabyte, 1024k) and "G" (gigabyte, 1024M) and T (terabyte, 1024G) are supported. "b" is ignored.

output_filename
    is the destination disk image filename

output_fmt
     is the destination format

options
    is a comma separated list of format specific options in a name=value format. Use "-o ?" for an overview of the options supported by the used format or see the format descriptions below for details.

-c  indicates that target image must be compressed (qcow format only)

-h  with or without a command shows help and lists the supported formats

Parameters to snapshot subcommand:

snapshot
    is the name of the snapshot to create, apply or delete

-a  applies a snapshot (revert disk to saved state)

-c  creates a snapshot

-d  deletes a snapshot

-l  lists all snapshots in the given image

Command description:

create [-f fmt] [-o options] filename [size]
    Create the new disk image filename of size size and format fmt. Depending on the file format, you can add one or more options that enable additional features of this format.

    If the option backing_file is specified, then the image will record only the differences from backing_file. No size needs to be specified in this case. backing_file will never be modified unless you use the "commit" monitor command (or qemu-img commit).

    The size can also be specified using the size option with "-o", it doesn't need to be specified separately in this case.

commit [-f fmt] filename
    Commit the changes recorded in filename in its base image.

convert [-c] [-f fmt] [-O output_fmt] [-o options] filename [filename2 [...]] output_filename
    Convert the disk image filename to disk image output_filename using format output_fmt. It can be optionally compressed ("-c" option) or use any format specific options like encryption ("-o" option).

    Only the formats "qcow" and "qcow2" support compression. The compression is read-only. It means that if a compressed sector is rewritten, then it is rewritten as uncompressed data.

    Image conversion is also useful to get smaller image when using a growable format such as "qcow" or "cow": the empty sectors are detected and suppressed from the destination image.

    You can use the backing_file option to force the output image to be created as a copy on write image of the specified base image; the backing_file should have the same content as the input's base image, however the path, image format, etc may differ.

info [-f fmt] filename
    Give information about the disk image filename. Use it in particular to know the size reserved on disk which can be different from the displayed size. If VM snapshots are stored in the disk image, they are displayed too.

snapshot [-l | -a snapshot | -c snapshot | -d snapshot ] filename
    List, apply, create or delete snapshots in image filename.

Supported image file formats:

raw Raw disk image format (default). This format has the advantage of being simple and easily exportable to all other emulators. If your file system supports holes (for example in ext2 or ext3 on Linux or NTFS on Windows), then only the written sectors will reserve space. Use "qemu-img info" to know the real size used by the image or "ls -ls" on Unix/Linux.

host_device
    Host device format. This format should be used instead of raw when converting to block devices or other devices where "holes" are not supported.

qcow2
    QEMU image format, the most versatile format. Use it to have smaller images (useful if your filesystem does not supports holes, for example on Windows), optional AES encryption, zlib based compression and support of multiple VM snapshots.

    Supported options:

    "backing_file"
        File name of a base image (see create subcommand)

    "backing_fmt"
        Image format of the base image

    "encryption"
        If this option is set to "on", the image is encrypted.

        Encryption uses the AES format which is very secure (128 bit keys). Use a long password (16 characters) to get maximum protection.

    "cluster_size"
        Changes the qcow2 cluster size (must be between 512 and 2M). Smaller cluster sizes can improve the image file size whereas larger cluster sizes generally provide better performance.

    "preallocation"
        Preallocation mode (allowed values: off, metadata). An image with preallocated metadata is initially larger but can improve performance when the image needs to grow.

qcow
    Old QEMU image format. Left for compatibility.

    Supported options:

    "backing_file"
        File name of a base image (see create subcommand)

    "encryption"
        If this option is set to "on", the image is encrypted.

cow User Mode Linux Copy On Write image format. Used to be the only growable image format in QEMU. It is supported only for compatibility with previous versions. It does not work on win32.

vdi VirtualBox 1.1 compatible image format.

vmdk
    VMware 3 and 4 compatible image format.

    Supported options:

    "backing_fmt"
        Image format of the base image

    "compat6"
        Create a VMDK version 6 image (instead of version 4)

vpc VirtualPC compatible image format (VHD).

cloop
    Linux Compressed Loop image, useful only to reuse directly compressed CD-ROM images present for example in the Knoppix CD-ROMs.

SEE ALSO
The HTML documentation of QEMU for more precise information and Linux user mode emulator invocation.

AUTHOR
Fabrice Bellard